> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete an upload

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/uploads/{upload_id}

Reference: https://contentful.com/developers/docs/references/content-management-api/uploads/delete-an-upload

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — Alphanumeric `id` of the space.
- `environment_id` (string, optional) — Alphanumeric `id` of the environment. Defaults to `master`.
- `upload_id` (string, required) — Alphanumeric `id` of the upload to delete.

## Response

### 204

No Content - Request successful, no content returned